'use strict';

bsApp.directive('mrssFeed', function() {
    return {
        restrict : 'A',
        link: function(scope, elem, attr, ctrl) {
            scope.player = elem[0];
            scope.setHWZToBack();
            scope.addLoadingMessage();
            //scope.playNextVideo();
            elem.bind('ended', function(e) {
               if (scope.isMaster) {
                   scope.chooseNextVideo();
                   scope.sendVideoSync();
               }
            });
            scope.loadFromMemory();
        }
    };
});

bsApp.directive('bsTicker', function(){
    return {
        restrict : 'E',
        scope:{
            color : '@',
            backgroundColor: '@',
            speed: '@',
            x : '@',
            y : '@',
            width : '@',
            height : '@'
        },
        link: function(scope, elem, attr, ctrl) {
            scope.$parent.initializeTicker(scope);
            // scope.$parent.newTicker(scope.color, scope.backgroundColor, scope.speed, scope.x, scope.y, scope.width, scope.height);
        }
    };
});
